Jump to content


Check out our Community Blogs

Register and join over 40,000 other developers!


Recent Status Updates

View All Updates

Photo
- - - - -

php5.5 and debian wheezy

php php5.5 debian wheezy

This topic has been archived. This means that you cannot reply to this topic.
1 reply to this topic

#1 Vaielab

Vaielab

    Programming God

  • Expert Member
  • PipPipPipPipPipPipPip
  • 1382 posts

Posted 28 September 2013 - 04:52 PM

Hello,

 

I just formated my computer and install debian wheezy (7).

Like always, I added the dotdeb repository for anything related to php.

And I installed php5.5 the exact same way I install any php version on debian squeeze

But for some reason, apache is not working with php5.5.

If I write php code <?php ... ?> it will simply output it as html tag and not process it.

 

Anybody else had problem with php 5.5 and apache2, or have an idea of why it's doing this?

 

 

Update:

I figured that php5 was not enabled with apache2, so I enabled it manually "a2enmod php5", but since then I get this error when I reload apache2:

[Sat Sep 28 21:44:25 2013] [crit] Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe.  You need to recompile PHP.
Pre-configuration failed
Action 'configtest' failed.
The Apache error log may have more information.
 failed!
 


Edited by Vaielab, 28 September 2013 - 05:47 PM.

You can now stalk me on linkedin: http://ca.linkedin.c...elle/24/b44/88/ !


#2 Vaielab

Vaielab

    Programming God

  • Expert Member
  • PipPipPipPipPipPipPip
  • 1382 posts

Posted 28 September 2013 - 06:25 PM

So after wasting a day on this.

I delete php5.5, install php5.4 (still not working) upgrade to php 5.5 and not it's working... I have no idea what changed.


You can now stalk me on linkedin: http://ca.linkedin.c...elle/24/b44/88/ !





Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download